## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.action
Interface IEditSchemaObjectAction

All Known Implementing Classes:
  ASAUserDefinedTypeEditAction, EditASATableAction, EditRoutineInFormAction, EditSchemaObjectAction

    public interface IEditSchemaObjectAction

Interface for edit schema object action

Author:
  Hui Wan

Method Summary
`void` `setDefaultPageId(java.lang.String defaultPageId)` Set the default page ID
`void` `setSQLObject(SQLObject object)` Set the object to be opened

Method Detail

### setSQLObject

    void setSQLObject(SQLObject object)

  Set the object to be opened

  Parameters:
    `object` - Object

### setDefaultPageId

    void setDefaultPageId(java.lang.String defaultPageId)

  Set the default page ID

  Parameters:
    `defaultPageId` - Default page Id